freemarker.template.utility

## Interface DateUtil.CalendarFieldsToDateConverter

All Known Implementing Classes:
  DateUtil.TrivialCalendarFieldsToDateConverter

Enclosing class:
  DateUtil

    public static interface DateUtil.CalendarFieldsToDateConverter

Used internally by `DateUtil`; don't use its implementations for anything else.

### Method Summary

All Methods Instance Methods Abstract Methods
`Date` `calculate(int era, int year, int month, int day, int hours, int minutes, int secs, int millisecs, boolean addOneDay, TimeZone tz)` Calculates the `Date` from the specified calendar fields.

### Method Detail

#### calculate

    Date calculate(int era,
                   int year,
                   int month,
                   int day,
                   int hours,
                   int minutes,
                   int secs,
                   int millisecs,
                   boolean addOneDay,
                   TimeZone tz)

Calculates the `Date` from the specified calendar fields.